> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Trust Center chatbot conversations

> Gets a paginated list of chatbot conversations on a Trust Center.



## OpenAPI

````yaml /reference/manage-vanta.json get /trust-centers/{slugId}/chatbot/conversations
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/chatbot/conversations:
    get:
      tags:
        - Trust Centers
      summary: List Trust Center chatbot conversations
      description: Gets a paginated list of chatbot conversations on a Trust Center.
      operationId: ListChatbotConversations
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - description: Search conversations by message content.
          in: query
          name: searchString
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_TrustCenterChatbotConversation_
              examples:
                Example 1:
                  value:
                    results:
                      pageInfo:
                        hasNextPage: true
                        hasPreviousPage: false
                        startCursor: YXJyYXljb25uZWN0aW9uOjA=
                        endCursor: YXJyYXljb25uZWN0aW9uOjE=
                      data:
                        - id: 4b1e7a8c3d9f6a2b5c8d0e3f
                          firstMessage: What security certifications do you have?
                          numMessages: 4
                          userEmail: viewer@company.com
                          isPublicConversation: false
                          createdAt: '2024-01-15T10:30:00.000Z'
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_TrustCenterChatbotConversation_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/TrustCenterChatbotConversation'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    TrustCenterChatbotConversation:
      properties:
        id:
          type: string
          description: Unique identifier for the conversation.
        firstMessage:
          type: string
          description: The user's first message in the conversation.
        numMessages:
          type: number
          format: double
          description: Total number of messages in the conversation.
        userEmail:
          type: string
          nullable: true
          description: >-
            Email address of the user who started the conversation, or null for
            public conversations.
        isPublicConversation:
          type: boolean
          description: Whether this conversation occurred on a public chatbot.
        createdAt:
          type: string
          format: date-time
          description: Date and time the conversation was created.
      required:
        - id
        - firstMessage
        - numMessages
        - userEmail
        - isPublicConversation
        - createdAt
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````